package com.dbs.mplus.service.mobile.user.repository.oracle;

import com.dbs.mplus.framework.template.MPlusQuery;

/**
 * 사용자가 체크한 동의서들 관리 
 * 
 * @author hyeeun
 *
 */
public class MPlusUserAgreementMPlusQuery  extends MPlusQuery {
	@Override 
	public String getQueryForInsert() {
		return "INSERT INTO MP_USER_AGREEMENT (USER_AGREEMENT_SEQ, AGREEMENT_SEQ, AGREEMENT_ID, USER_ID, AGREEMENT_YN, REGISTER_DT) " + 
				"VALUES (SEQ_MP_USER_AGREEMENT_UA.NEXTVAL, :agreementSeq, :agreementId, :userId, :agreementYn, SYSDATE) "; 
	}
	@Override 
	public String getQueryForDelete() {
		return "DELETE FROM MP_USER_AGREEMENT WHERE USER_ID = :userId";
				
	}
}
